List Chart Genres for Platform

​

Return the available chart genres for the given platform (optionally filtered by code2). Shape is highly platform-dependent — Amazon returns [{ id, name }], Apple Music / iTunes / Beatport return hardcoded string arrays, SoundCloud / Anghami / Siriusxm return DB-backed string arrays, and Melon / Tencent return DB-backed object arrays. The envelope { obj: [...] } is always a list but the element type varies per platform.

Path Parameters

  • Chart platform whose genre list is returned (e.g. amazon, applemusic, itunes, soundcloud, melon).

    values
    • amazon
    • amazon_albums
    • apple_music
    • apple_music_albums
    • apple_music_videos
    • beatport
    • itunes
    • itunes_albums

Query Parameters

  • ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

Responses

  • application/json
Request Example for get/api/charts/genres/{platform}
curl 'https://api.chartmetric.com/api/charts/genres/amazon?code2=US' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": [
    "all music genres",
    "artist pro",
    "dance",
    "folk",
    "hip hop",
    "indie",
    "new & hot",
    "next pro",
    "pop",
    "r&b",
    "rock"
  ]
}